Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class Suffix

    java.lang.Object
      portlets.compoze.groupware.addressbook.Suffix

All Implemented Interfaces:
  java.io.Serializable

public class Suffix
extends java.lang.Object
implements java.io.Serializable

This class represents the name suffix for a contact.

See Also:
  Serialized Form

Field Summary
`static Suffix` | `SUFFIX_I` This value represents a 'I' suffix.
`static Suffix` | `SUFFIX_II` This value represents a 'II' suffix.
`static Suffix` | `SUFFIX_III` This value represents a 'III' suffix.
`static Suffix` | `SUFFIX_JR` This value represents a 'Jr.' suffix.
`static Suffix` | `SUFFIX_SR` This value represents a 'Sr.' suffix.
`static int` | `VALUE_I` This value represents the 'I' value.
`static int` | `VALUE_II` This value represents the 'II' value.
`static int` | `VALUE_III` This value represents the 'III' value.
`static int` | `VALUE_JR` This value represents the 'Jr.' value.
`static int` | `VALUE_SR` This value represents the 'Sr.' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Suffix` | `get(int iValue)` Gets the suffix by the value.
`java.lang.String` | `getKey()` Gets the key (suffix name) for i18n.
`static java.util.List` | `getSuffixes()` Gets the list of suffix objects.
`int` | `getValue()` Gets the value of the suffix.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_I

    public static final int VALUE_I

  This value represents the 'I' value.

  See Also:
    Constant Field Values

### VALUE_II

    public static final int VALUE_II

  This value represents the 'II' value.

  See Also:
    Constant Field Values

### VALUE_III

    public static final int VALUE_III

  This value represents the 'III' value.

  See Also:
    Constant Field Values

### VALUE_JR

    public static final int VALUE_JR

  This value represents the 'Jr.' value.

  See Also:
    Constant Field Values

### VALUE_SR

    public static final int VALUE_SR

  This value represents the 'Sr.' value.

  See Also:
    Constant Field Values

### SUFFIX_I

    public static final Suffix SUFFIX_I

  This value represents a 'I' suffix.

### SUFFIX_II

    public static final Suffix SUFFIX_II

  This value represents a 'II' suffix.

### SUFFIX_III

    public static final Suffix SUFFIX_III

  This value represents a 'III' suffix.

### SUFFIX_JR

    public static final Suffix SUFFIX_JR

  This value represents a 'Jr.' suffix.

### SUFFIX_SR

    public static final Suffix SUFFIX_SR

  This value represents a 'Sr.' suffix.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (suffix name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the suffix.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static Suffix get(int iValue)

  Gets the suffix by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching suffix or `null` if not found

### getSuffixes

    public static java.util.List getSuffixes()

  Gets the list of suffix objects.

  Returns:
    the list of `Suffix` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.